Bug 1088588 - Please add L540 to 70-touchpad-quirks.rules as touchpad_softbutton_top
Summary: Please add L540 to 70-touchpad-quirks.rules as touchpad_softbutton_top
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-synaptics
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-16 20:17 UTC by Gert Michael Kulyk
Modified: 2014-05-10 03:20 UTC (History)
2 users (show)

Fixed In Version: kernel-3.14.3-200.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1096436 (view as bug list)
Environment:
Last Closed: 2014-04-22 03:57:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Gert Michael Kulyk 2014-04-16 20:17:45 UTC
Top Softbutton area for the L540 touchpad is currently not supported in fedora, to fix it, 70-touchpad-quirks.rules should contain a line like this:

ATTR{[dmi/id]product_version}=="ThinkPad L540*", ENV{ID_INPUT.tags}="touchpad_softbutton_top"

Thank you. Regards,

Gert

Comment 1 Gert Michael Kulyk 2014-04-16 21:05:44 UTC
May need a min/max quirk patch for the kernel, too (like the ones for L440 and co). Not yet tested.

Comment 2 Hans de Goede 2014-04-17 08:07:37 UTC
Hi,

(In reply to Gert Michael Kulyk from comment #1)
> May need a min/max quirk patch for the kernel, too (like the ones for L440
> and co). Not yet tested.

I'm pretty sure it does, otherwise a very large area at the bottom will be seen as button area and thus won't generate pointer movements if a touch starts there.

Can you please download both libevdev and libevdev-utils for your arch from here:
http://koji.fedoraproject.org/koji/buildinfo?buildID=506786

And then install them both with:
rpm -ivh libevdev*.rpm

Note it is important to use rpm -i not -U (unless you're running rawhide), so as to keep the old libevdev which is used by a lot of other apps on your system.

And then run "touchpad-edge-detector /dev/input/event#" where # is the number for your touchpad (see dmesg or Xorg.0.log) and run your finger along the outer edge of the touchpad to detect the proper min/max values. Please copy and paste the output of the program here.

Also please run the following commands and copy and paste the output here:
cat /sys/class/dmi/id/product_version
cat /sys/devices/pnp0/*/id

Thanks,

Hans

Comment 3 Gert Michael Kulyk 2014-04-17 09:52:24 UTC
Hi Hans,

here is the information you've requested:

cat /sys/class/dmi/id/product_version:
ThinkPad L540

cat /sys/devices/pnp0/*/id:
PNP0c02
PNP0200
INT0800
PNP0103
PNP0c04
PNP0c02
PNP0b00
INT3f0d
PNP0c02
LEN0071
PNP0303
LEN2004
PNP0f13
PNP0c02
SMO1200
PNP0c31

touchpad-edge-detector /dev/input/event4:
Touchpad SynPS/2 Synaptics TouchPad on /dev/input/event4
Move one finger around the touchpad to detect the actual edges
Kernel says:    x [1472..5112], y [1408..3834]
Touchpad sends: x [1024..5113], y [2023..4832]

Please note: x 5113 is the max value, y 2023 is the min value I got from different tries (I never could reproduce the same values for the second x and the first y value running touchpad-edge-detector).

Thank you a lot for your quick response,

Gert

Comment 4 Hans de Goede 2014-04-17 12:07:15 UTC
Thanks,

I've started a kernel-build with a patch fixing the min/max, you can find it here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6749224

Note it is still building atm. Can you download and install it once it is finished ? After that touchpad-edge-detector should show fixed kernel values, and together with the 70-touchpad-quirks.rules change you suggested your touchpad should work properly.

Also I would like to have one bit more info from your system for future reference, can you please do:
dmesg | grep synaptics

And copy and paste the output here ?

Regards,

Hans

Comment 5 Gert Michael Kulyk 2014-04-17 18:13:28 UTC
Thank you for the kernel build - currently everything seems to work like expected (I've build xorg-x11-drv-synaptics with mentioned changes locally). 

The output of dmesg | grep synaptics is:

[    1.313101] psmouse serio1: synaptics: Touchpad model: 1, fw: 8.1, id: 0x1e2b1, caps: 0xd001a3/0x940300/0x127c00, board id: 2722, fw id: 1484859
[    1.313105] psmouse serio1: synaptics: serio: Synaptics pass-through port at isa0060/serio1/input0

Regards,

Gert

Comment 6 Hans de Goede 2014-04-18 08:08:59 UTC
Thanks for testing and for the input. I'm preparing an updated xorg-x11-drv-synaptics package with the necessary changes. The kernel changes are also queued-up to be picked up by the next kernel build.

Comment 7 Fedora Update System 2014-04-18 09:01:39 UTC
xorg-x11-drv-synaptics-1.7.4-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-5184/xorg-x11-drv-synaptics-1.7.4-8.fc20

Comment 8 Fedora Update System 2014-04-20 01:27:06 UTC
Package xorg-x11-drv-synaptics-1.7.4-8.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xorg-x11-drv-synaptics-1.7.4-8.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-5184/xorg-x11-drv-synaptics-1.7.4-8.fc20
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2014-04-22 02:44:00 UTC
kernel-3.14.1-200.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.14.1-200.fc20

Comment 10 Fedora Update System 2014-04-22 03:57:50 UTC
xorg-x11-drv-synaptics-1.7.4-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-04-24 18:15:42 UTC
kernel-3.13.11-100.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kernel-3.13.11-100.fc19

Comment 12 Fedora Update System 2014-04-28 21:00:43 UTC
kernel-3.14.2-200.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.14.2-200.fc20

Comment 13 Fedora Update System 2014-04-29 04:13:31 UTC
xorg-x11-drv-synaptics-1.7.4-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xorg-x11-drv-synaptics-1.7.4-9.fc19

Comment 14 Gert Michael Kulyk 2014-05-01 14:31:02 UTC
Kernel 3.14.2-200.fc20 does not contain the required patch, seems like it got lost when there was the 3.14 rebase.

Comment 15 Hans de Goede 2014-05-01 15:09:31 UTC
(In reply to Gert Michael Kulyk from comment #14)
> Kernel 3.14.2-200.fc20 does not contain the required patch, seems like it
> got lost when there was the 3.14 rebase.

You're right, I've re-added it, so it will get picked up by the next kernel build. Thanks for reporting this.

Comment 16 Fedora Update System 2014-05-01 22:31:14 UTC
kernel-3.14.2-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2014-05-06 03:30:45 UTC
kernel-3.13.11-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2014-05-07 20:53:23 UTC
kernel-3.14.3-200.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.14.3-200.fc20

Comment 19 Fedora Update System 2014-05-10 03:20:11 UTC
kernel-3.14.3-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.